Prereq: 1.12

===================================================================
RCS file: RCS/gnus-sum.el,v
retrieving revision 1.12
retrieving revision 1.12.1.1
diff -u -r1.12 -r1.12.1.1
--- 1.12	1997/11/05 17:37:16
+++ 1.12.1.1	1997/11/05 17:41:25
@@ -7931,7 +7931,7 @@
 	(gnus-summary-position-point)
 	t))))
 
-(defun gnus-summary-catchup (&optional all quietly to-here not-mark)
+(defun gnus-summary-catchup (&optional all quietly to-here not-mark mark-char)
   "Mark all unread articles in this newsgroup as read.
 If prefix argument ALL is non-nil, ticked and dormant articles will
 also be marked as read.
@@ -7940,9 +7940,14 @@
 articles before this point will be marked as read.
 Note that this function will only catch up the unread article
 in the current summary buffer limitation.
-The number of articles marked as read is returned."
+The number of articles marked as read is returned.
+
+If NOT-MARK ...?
+The MARL_CHAR is `gnus-catchup-mark' by default."
   (interactive "P")
   (gnus-set-global-variables)
+  (or mark-char
+      (setq mark-char gnus-catchup-mark))
   (prog1
       (save-excursion
 	(when (or quietly
@@ -7969,7 +7974,7 @@
 	    (when (gnus-summary-first-subject (not all))
 	      (while (and
 		      (if to-here (< (point) to-here) t)
-		      (gnus-summary-mark-article-as-read gnus-catchup-mark)
+		      (gnus-summary-mark-article-as-read mark-char)
 		      (gnus-summary-find-next (not all)))))
 	    (gnus-set-mode-line 'summary))
 	  t))
